org.apache.felix.ipojo.manipulator.visitor.check

## Class CheckFieldConsistencyResultVisitor

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.visitor.ManipulationResultAdapter
  - - org.apache.felix.ipojo.manipulator.visitor.check.CheckFieldConsistencyResultVisitor

All Implemented Interfaces:
  ManipulationResultVisitor

    public class CheckFieldConsistencyResultVisitor
    extends ManipulationResultAdapter

This visitor checks that field referenced in the metadata are present in the bytecode.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`CheckFieldConsistencyResultVisitor(ManipulationResultVisitor visitor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setMetadata(org.apache.felix.ipojo.metadata.Element metadata)`
`void` `setReporter(Reporter reporter)`
`void` `visitClassStructure(org.apache.felix.ipojo.metadata.Element structure)` Called once per visitor with the class' structure discovered during manipulation.

### Methods inherited from class org.apache.felix.ipojo.manipulator.visitor.ManipulationResultAdapter

`visitEnd, visitManipulatedResource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CheckFieldConsistencyResultVisitor

    public CheckFieldConsistencyResultVisitor(ManipulationResultVisitor visitor)

### Method Detail

#### setMetadata

    public void setMetadata(org.apache.felix.ipojo.metadata.Element metadata)

#### setReporter

    public void setReporter(Reporter reporter)

#### visitClassStructure

    public void visitClassStructure(org.apache.felix.ipojo.metadata.Element structure)

Description copied from interface: `ManipulationResultVisitor`
Called once per visitor with the class' structure discovered during manipulation.

Specified by:
  `visitClassStructure` in interface `ManipulationResultVisitor`
Overrides:
  `visitClassStructure` in class `ManipulationResultAdapter`
Parameters:
  `structure` - Component's structure (discovered during manipulation, not the data from metadata.xml)